CGAL 6.2 - CGAL Basic Viewer: GraphicsSceneOptions Class Reference

CGAL 6.2 - CGAL Basic Viewer

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions | Public Attributes
GraphicsSceneOptions Class Reference
Reference Manual » Concepts

`#include <Concepts/GraphicsSceneOptions.h>`

## Definition

The concept `GraphicsSceneOptions` defines data and methods used to tune the way that the cells of a given data structure of CGAL are considered for drawing or to be added into a graphics scene.

The different `std::function` can be modified to change for example the behavior of the drawing.

Has models
  `CGAL::Graphics_scene_options<DS, VertexDescriptor, EdgeDescriptor, FaceDescriptor>`

## Public Types
typedef unspecified_type | DS
| A data structure of CGAL.
typedef unspecified_type | vertex_descriptor
| A descriptor of vertices of `DS`
typedef unspecified_type | edge_descriptor
| A descriptor of edges of `DS`
typedef unspecified_type | face_descriptor
| A descriptor of faces of `DS`

## Public Member Functions
void | ignore_all_vertices (bool b)
| ignores all vertices when `b` is `true`; otherwise ignores only vertices for which `ignore_vertex()` returns `true`.
void | ignore_all_edges (bool b)
| ignores all edges when `b` is `true`; otherwise ignores only edges for which `ignore_edge()` returns `true`.
void | ignore_all_faces (bool b)
| ignores all faces when `b` is `true`; otherwise ignores only faces for which `ignore_face()` returns `true`.

## Public Attributes
std::function< bool(const DS &, vertex_descriptor)> | ignore_vertex
| `std::function` that returns `true` if the given vertex must be ignored, `false` otherwise.
std::function< bool(const DS &, edge_descriptor)> | ignore_edge
| `std::function` that returns `true` if the given edge must be ignored, `false` otherwise.
std::function< bool(const DS &, face_descriptor)> | ignore_face
| `std::function` that returns `true` if the given face must be ignored, `false` otherwise.
std::function< bool(const DS &, vertex_descriptor)> | is_vertex_colored
| `std::function` that returns `true` if the given vertex is colored, `false` otherwise.
std::function< bool(const DS &, edge_descriptor)> | is_edge_colored
| `std::function` that returns `true` if the given edge is colored, `false` otherwise.
std::function< bool(const DS &, face_descriptor)> | is_face_colored
| `std::function` that returns `true` if the given face is colored, `false` otherwise.
std::function< bool(const DS &, face_descriptor)> | is_face_wireframe
| `std::function` that returns `true` if the given face is in wireframe, `false` otherwise.
std::function< CGAL::IO::Color(const DS &, vertex_descriptor)> | vertex_color
| `std::function` that returns the color of the given vertex.
std::function< CGAL::IO::Color(const DS &, edge_descriptor)> | edge_color
| `std::function` that returns the color of the given edge.
std::function< CGAL::IO::Color(const DS &, face_descriptor)> | face_color
| `std::function` that returns the color of the given face.

## Member Data Documentation

## ◆ edge_color

std::function<CGAL::IO::Color(const DS &, edge_descriptor)> GraphicsSceneOptions::edge_color

`std::function` that returns the color of the given edge.

`nullptr` by default.

## ◆ face_color

std::function<CGAL::IO::Color(const DS &, face_descriptor)> GraphicsSceneOptions::face_color

`std::function` that returns the color of the given face.

`nullptr` by default.

## ◆ ignore_edge

std::function<bool(const DS &, edge_descriptor)> GraphicsSceneOptions::ignore_edge

`std::function` that returns `true` if the given edge must be ignored, `false` otherwise.

Returns `true` by default.

## ◆ ignore_face

std::function<bool(const DS &, face_descriptor)> GraphicsSceneOptions::ignore_face

`std::function` that returns `true` if the given face must be ignored, `false` otherwise.

Returns `true` by default.

## ◆ ignore_vertex

std::function<bool(const DS &, vertex_descriptor)> GraphicsSceneOptions::ignore_vertex

`std::function` that returns `true` if the given vertex must be ignored, `false` otherwise.

Returns `false` by default.

## ◆ is_edge_colored

std::function<bool(const DS &, edge_descriptor)> GraphicsSceneOptions::is_edge_colored

`std::function` that returns `true` if the given edge is colored, `false` otherwise.

For non colored edges, this is the role of the user of a graphic scene to decide which color must be used (cf. for example `Basic_viewer`, `edges_mono_color`). Returns `false` by default.

## ◆ is_face_colored

std::function<bool(const DS &, face_descriptor)> GraphicsSceneOptions::is_face_colored

`std::function` that returns `true` if the given face is colored, `false` otherwise.

For non colored faces, this is the role of the user of a graphic scene to decide which color must be used (cf. for example `Basic_viewer`, `faces_mono_color`). Returns `false` by default.

## ◆ is_face_wireframe

std::function<bool(const DS &, face_descriptor)> GraphicsSceneOptions::is_face_wireframe

`std::function` that returns `true` if the given face is in wireframe, `false` otherwise.

Returns `false` by default.

## ◆ is_vertex_colored

std::function<bool(const DS &, vertex_descriptor)> GraphicsSceneOptions::is_vertex_colored

`std::function` that returns `true` if the given vertex is colored, `false` otherwise.

Returns `false` by default. For non colored vertices, this is the role of the user of a graphic scene to decide which color must be used (cf. for example `Basic_viewer`, `vertices_mono_color`).

## ◆ vertex_color

std::function<CGAL::IO::Color(const DS &, vertex_descriptor)> GraphicsSceneOptions::vertex_color

`std::function` that returns the color of the given vertex.

`nullptr` by default.